<div class="wrap">
	<h2>Dashly</h2>
	<div id="message"
		class="updated notice is-dismissible"
		style="<?php if ( ! isset( $_REQUEST['dashly_plugin_form_submit'] ) || '' === $message ) {
				esc_attr_e( 'display:none' );
			} ?>">
		<p><?php esc_html_e( $message ); ?></p>
	</div>
	<div class="notice notice-info">
		<p><?php esc_html_e( 'You can look up parameters "API Key", "API Secret" and "User Auth Key" in "Settings > Developers" section of your Dashly account administrative panel', 'dashly' ); ?></p>
	</div>
	<form method="post" action="plugins.php?page=dashly">
		<?php wp_nonce_field( 'dashly_plugin_settings', 'dashly_plugin_nonce' ); ?>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><?php esc_html_e( 'API Key', 'dashly' ); ?></th>
				<td><input type="text" class="regular-text code" name="dashly_api_key"
						   value="<?php echo esc_textarea( get_option( 'dashly_api_key' ) ); ?>"/></td>
			</tr>

			<tr valign="top">
				<th scope="row"><?php esc_html_e( 'API Secret', 'dashly' ); ?></th>
				<td><input type="text" class="regular-text code" name="dashly_api_secret"
						   value="<?php echo esc_textarea( get_option( 'dashly_api_secret' ) ); ?>"/></td>
			</tr>

			<tr valign="top">
				<th scope="row"><?php esc_html_e( 'User Auth Key', 'dashly' ); ?></th>
				<td><input type="text" class="regular-text code" name="dashly_auth_key"
						   value="<?php echo esc_textarea( get_option( 'dashly_auth_key' ) ); ?>"/></td>
			</tr>
			<tr valign="top">
				<th scope="row"><?php esc_html_e( 'User authorization', 'dashly' ); ?></th>
				<td>
					<input type="checkbox" name="dashly_auth"
						<?php echo esc_textarea( get_option( 'dashly_auth' ) ) ? 'checked' : ''; ?>/>
					<label for="dashly_auth"><?php esc_html_e( 'Send customer ID to Dashly as User ID', 'dashly' ); ?></label>
				</td>
			</tr>
		</table>

		<p class="submit">
			<input type="hidden" name="dashly_plugin_form_submit" value="submit"/>
			<input type="submit" class="button-primary" value="<?php esc_attr_e( 'Save Changes' ); ?>"/>
		</p>

	</form>
</div>
